<?php
//indique que le type de la réponse renvoyée au client sera du Texte
header("Content-Type: text/plain ; charset=utf-8");
//anti Cache pour HTTP/1.1
header("Cache-Control: no-cache , private");
//anti Cache pour HTTP/1.0
header("Pragma: no-cache");
//recuperation du parametre nom
if(isset($_REQUEST['nom'])) $nom=$_REQUEST['nom'];
else $nom="inconnu";
//récup des paramètres de connexion Mysql : $connexionMysql 
require_once('connexionMysql.php');
//Sélection de la base de données
mysql_select_db("machineasous");
//--------------------------TEST SQL
//$result = mysql_query("SELECT nom FROM joueurs WHERE pseudo='".$_GET["pseudo"]."'");
$requeteSQL="SELECT ID FROM joueurs WHERE nom='".$nom."'";
$reponseSQL = mysql_query($requeteSQL);
//if(mysql_num_rows($result)>=1)
$enregistrement=mysql_fetch_array($reponseSQL);
//print_r($enregistrement);
if(mysql_num_rows($reponseSQL)>0)
//récup de l'ID du joueur
$ID=$enregistrement["ID"];
//sinon renvoyer 0
else
$ID=0;
//envoi de la réponse à la page HTML
echo $ID ;
?>